<!DOCTYPE html>
<html lang="en">

{% load static %}

<head>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="{% static 'style.css' %}">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
    <title>{{data.nama_project}}</title>
</head>
<body style='height: 100%;'>
    {% include 'navbar.html' %}
    <section class='top'>
        <section class="box title">
            <div class='maintitle'>
                <h1 id='judul'>{{data.nama_project}}</h1>
                <p id='deskripsi' style="margin: 16px;">{{data.deskripsi}}</p>
            </div>
            <div id="buttons"></div>
        </section>
        <section class='box description'>
            <div class='centering'>
                <h2 id='kategori' style="margin-left: 8px;">{{data.kategori}}</h2>
                <div class="descriptions">
                    <div class='inside left'>
                        <div class='desctext'>
                            <h4>Pemilik proyek</h4>
                            <p id='name'>{{data.nama_pemilik}}</p>
                        </div>
                        <div class='desctext'>
                            <h4>Bayaran</h4>
                            <p id='bayaran'>Rp{{data.bayaran}}</p>
                        </div>
                        <div class='desctext'>
                            <h4>Skill yang dibutuhkan</h4>
                            <p id='skill'>{{data.skills}}</p>
                        </div>
                    </div>
                    <div class='inside right'>
                        <div class='desctext'>
                            <h4>Jumlah orang yang dibutuhkan</h4>
                            <p id='orang'>{{data.jumlah_orang}} Orang</p>
                        </div>
                        <div class='desctext'>
                            <h4>Estimasi Waktu</h4>
                            <p id='waktu'>{{data.estimasi}}</p>
                        </div>
                        <div class='desctext'>
                            <h4>Kontak</h4>
                            <p id='kontak'>{{data.kontak_pemilik}}</p>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </section>
    <section class='bottom' style='display: none;'>
        <section class='pelamar'>
            <h1 class='headingbottom'>Daftar Pelamar</h1>
            {% if data_lamar|length > 0 %}
            <section class='cards'>
                {% for i in data_lamar %}
                <div class="cardx" data-bs-toggle="modal" data-bs-target="#exampleModal{{i.id}}">
                    <h5>{{i.nama_pelamar}}</h5>
                    <p class='cardText'>{{i.pesan}}</p>
                </div>
                <div class="modal fade" id="exampleModal{{i.id}}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                    <div class="modal-dialog">
                      <div class="modal-content">
                        <div class="modal-header">
                          <h5 class="modal-title" id="exampleModalLabel">Detail Pelamar</h5>
                          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                          <h4>Nama</h4>
                          <p id='pelamar_nama'>{{i.nama_pelamar}}</p>
                          <h4>Pesan</h4>
                          <p id='pelamar_deskripsi'>{{i.pesan}}</p>
                          <h4>Kontak</h4>
                          <p id='pelamar_kontak'>{{i.kontak_pelamar}}</p>
                          <h4>CV</h4>
                          <a href='{{i.cv_pelamar}}' id='pelamar_cv' class="link-primary">Buka link</a>
                        </div>
                        <div class="modal-footer">
                          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        </div>
                      </div>
                    </div>
                  </div>
                  {% endfor %}
                
            </section>
            {% else %}
            <h4 style='text-align: center; padding: 48px;'>Belum ada pelamar yang mendaftar di proyek ini</h4>
            {% endif %}
        </section>
    </section>
    <section class='closingModal' style="display: none;">
        <div id='modalContent'>
            <h6 id='closeModal'>X</h6>
            <h1 id='modalMessage'></h1>
            <br>
            <br>
            <button type="button" class="btn btn-danger" id='closeProjectButton'></button>
            <button type="button" class="btn btn-danger" id='deleteButton'></button>
        </div>
    </section>
    {% include 'footer.html' %}
</body>
<script src="{% static 'script.js' %}"></script>
<script type="text/javascript">
    user_id = "{{user.username}}"
    user_pemilik = "{{data.id_pemilik}}"
    admin = "{{user.is_admin}}"

    let id_pelamar = []
    let x = 0

    "{% for i in data_lamar %}"
        id_pelamar[x] = "{{i.id_user}}"
        x++
    "{% endfor %}"
    user_is_pelamar = false

    for(let i = 0 ; i < id_pelamar.length ; i++){
        console.log(id_pelamar[i])
        if(user_id == id_pelamar[i]) user_is_pelamar = true
    }
    //user_is_pelamar = id_pelamar.find((x) => x = user_id)

    if(admin == 'True'){
        if("{{data.buka}}" == 'False'){
            $(".bottom").css("display", "flex")
        }
        else if (user_id == user_pemilik && "{{data.acc}}" == 'True') {
            $(".bottom").css("display", "flex")
            $("#buttons").html("<a class='button minus' id='openModal'>Tutup proyek</a><a class='button secondary' href='" + window.location.href + "/edit'>Edit proyek</a>")
        }
        else if("{{data.acc}}" == 'False'){
            $("#buttons").html("<a class='button primary' id='approveButton'>Setujui</a><a class='button secondary' id='openModal'>Tolak</a>")
        }
        else if(user_is_pelamar){
            $(".bottom").css("display", "flex")
            $("#buttons").html("<a class='button minus' id='openModal'>Tutup proyek</a>")
        }
        else{
            $(".bottom").css("display", "flex")
            $("#buttons").html("<a class='button primary' id='lamarButton' href='../../add_lamar/lamar/{{data.id}}'>Lamar</a><a class='button minus' id='openModal'>Tutup proyek</a>")
        }
    }
    else{
        if(user_is_pelamar || user_id == 'None'){}
        else if (user_id == user_pemilik) {
            if("{{data.acc}}" == 'False'){
                $("#buttons").html("<a class='button primary' href='" + window.location.href + "/edit'>Edit proyek</a>")
            }
            else {
                $("#buttons").html("<a class='button minus' id='openModal'>Tutup proyek</a><a class='button secondary' href='" + window.location.href + "/edit'>Edit proyek</a>")
                $(".bottom").css("display", "flex")
            }
        }
        else {
            $("#buttons").html("<a class='button primary' id='lamarButton' href='../../add_lamar/lamar/{{data.id}}'>Lamar</a>")
        }
    }
</script>
</html>